Get tenant details
curl --request GET \
--url https://my.propops.app/api/tenants/manage \
--header 'Authorization: Bearer <token>'import requests
url = "https://my.propops.app/api/tenants/manage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.propops.app/api/tenants/manage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"data": {
"ID": 100,
"uuid": "990e8400-e29b-41d4-a716-446655440001",
"tenant_name": "Tenant_001",
"tenant_email": "tenant001@example.com",
"tenant_number_primary": "07700000003",
"tenant_number_work": "01200000002",
"address_id": 5,
"full_address": "1 Example Street, Sample Town, EX1 1AA",
"created_at": "2024-01-10T08:00:00Z"
}
}{
"success": false,
"error": "Unauthorized. Valid Bearer token required."
}{
"success": false,
"error": "Resource not found."
}Manage
Get tenant details
Retrieve full details for a tenant record. Required permission: api.tenants.manage.manage
GET
/
api
/
tenants
/
manage
Get tenant details
Authorizations
All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...
Query Parameters
Example:
"990e8400-e29b-41d4-a716-446655440001"
⌘I